Subject: Re: bug#7004: 23.2; In fullscreen mode, the echo area takes too much vertical space

From: Jan Djärv <[email-masked]>
Date: Fri, 17 Sep 2010 09:09:03 +0200

martin rudalics skrev 2010-09-17 08.34:
>  > Notice that change_frame_size takes lines/columns as arguments, not
>  > pixels, so windows can only be sized in those increments.
>
> Right. And the proposal of the others boils down to make these pixel
> arguments instead. All I tried to explain was that doing that is fairly
> easy because we don't have to bother about the tool and menubars any
> more.
>
> The harder part is to handle converse routines like getting the right
> window from coordinates or `pos-visible-in-window-p'. For those we
> probably have to store pixel sizes within the window structure to avoid
> recalculating sizes, for example, during mouse tracking. And storing
> pixel sizes means we have to update them whenever we resize windows or
> the minibuffer.
>

You also have to fix distribution of window sizes so that in a layout like this:

  -----------------------------
  |               |           |
  |               |           |
  ----------------            |
  |         |     |           |
  |   1     | 2   |     3     |
  |         |     |           |
  -----------------------------

it is 1, 2 and 3 that gets the leftoer pixels. Handling split and delete of 
windows correctly can be hard.

	Jan D.